package mhp.oee.po.gen;

import java.util.Date;

public class JobLogPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.JOB
     *
     * @mbggenerated
     */
    private String job;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.PLANNED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date plannedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.SERVER_NODE
     *
     * @mbggenerated
     */
    private String serverNode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column job_log.FETCH_SIZE
     *
     * @mbggenerated
     */
    private Integer fetchSize;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.HANDLE
     *
     * @return the value of job_log.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.HANDLE
     *
     * @param handle the value for job_log.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.JOB
     *
     * @return the value of job_log.JOB
     *
     * @mbggenerated
     */
    public String getJob() {
        return job;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.JOB
     *
     * @param job the value for job_log.JOB
     *
     * @mbggenerated
     */
    public void setJob(String job) {
        this.job = job == null ? null : job.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.STRT
     *
     * @return the value of job_log.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.STRT
     *
     * @param strt the value for job_log.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.PLANNED_DATE_TIME
     *
     * @return the value of job_log.PLANNED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getPlannedDateTime() {
        return plannedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.PLANNED_DATE_TIME
     *
     * @param plannedDateTime the value for job_log.PLANNED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setPlannedDateTime(Date plannedDateTime) {
        this.plannedDateTime = plannedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.START_DATE_TIME
     *
     * @return the value of job_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.START_DATE_TIME
     *
     * @param startDateTime the value for job_log.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.END_DATE_TIME
     *
     * @return the value of job_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.END_DATE_TIME
     *
     * @param endDateTime the value for job_log.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.SERVER_NODE
     *
     * @return the value of job_log.SERVER_NODE
     *
     * @mbggenerated
     */
    public String getServerNode() {
        return serverNode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.SERVER_NODE
     *
     * @param serverNode the value for job_log.SERVER_NODE
     *
     * @mbggenerated
     */
    public void setServerNode(String serverNode) {
        this.serverNode = serverNode == null ? null : serverNode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column job_log.FETCH_SIZE
     *
     * @return the value of job_log.FETCH_SIZE
     *
     * @mbggenerated
     */
    public Integer getFetchSize() {
        return fetchSize;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column job_log.FETCH_SIZE
     *
     * @param fetchSize the value for job_log.FETCH_SIZE
     *
     * @mbggenerated
     */
    public void setFetchSize(Integer fetchSize) {
        this.fetchSize = fetchSize;
    }
}